<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Associar ServiceType
 * @subpackage Services
 */
class Associar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named AssociarMensagemPredefinida
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AssociarMensagemPredefinida $parameters
     * @return \StructType\AssociarMensagemPredefinidaResponse|bool
     */
    public function AssociarMensagemPredefinida(\StructType\AssociarMensagemPredefinida $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AssociarMensagemPredefinida($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AssociarMensagemFormatada
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AssociarMensagemFormatada $parameters
     * @return \StructType\AssociarMensagemFormatadaResponse|bool
     */
    public function AssociarMensagemFormatada(\StructType\AssociarMensagemFormatada $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AssociarMensagemFormatada($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AssociarMensagemPredefinidaXML
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AssociarMensagemPredefinidaXML $parameters
     * @return \StructType\AssociarMensagemPredefinidaXMLResponse|bool
     */
    public function AssociarMensagemPredefinidaXML(\StructType\AssociarMensagemPredefinidaXML $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AssociarMensagemPredefinidaXML($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AssociarMensagemFormatadaVeiculo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AssociarMensagemFormatadaVeiculo $parameters
     * @return \StructType\AssociarMensagemFormatadaVeiculoResponse|bool
     */
    public function AssociarMensagemFormatadaVeiculo(\StructType\AssociarMensagemFormatadaVeiculo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AssociarMensagemFormatadaVeiculo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * AssociarMensagemFormatadaVeiculoXML
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AssociarMensagemFormatadaVeiculoXML $parameters
     * @return \StructType\AssociarMensagemFormatadaVeiculoXMLResponse|bool
     */
    public function AssociarMensagemFormatadaVeiculoXML(\StructType\AssociarMensagemFormatadaVeiculoXML $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AssociarMensagemFormatadaVeiculoXML($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AssociarMensagemPredefinidaTodos
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AssociarMensagemPredefinidaTodos $parameters
     * @return \StructType\AssociarMensagemPredefinidaTodosResponse|bool
     */
    public function AssociarMensagemPredefinidaTodos(\StructType\AssociarMensagemPredefinidaTodos $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AssociarMensagemPredefinidaTodos($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AssociarPerfilAlvosGrupo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AssociarPerfilAlvosGrupo $parameters
     * @return \StructType\AssociarPerfilAlvosGrupoResponse|bool
     */
    public function AssociarPerfilAlvosGrupo(\StructType\AssociarPerfilAlvosGrupo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AssociarPerfilAlvosGrupo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\AssociarMensagemFormatadaResponse|\StructType\AssociarMensagemFormatadaVeiculoResponse|\StructType\AssociarMensagemFormatadaVeiculoXMLResponse|\StructType\AssociarMensagemPredefinidaResponse|\StructType\AssociarMensagemPredefinidaTodosResponse|\StructType\AssociarMensagemPredefinidaXMLResponse|\StructType\AssociarPerfilAlvosGrupoResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
