<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Atualizar ServiceType
 * @subpackage Services
 */
class Atualizar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named AtualizarPerfilAlvo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarPerfilAlvo $parameters
     * @return \StructType\AtualizarPerfilAlvoResponse|bool
     */
    public function AtualizarPerfilAlvo(\StructType\AtualizarPerfilAlvo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarPerfilAlvo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesExcecaoXML
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesExcecaoXML $parameters
     * @return \StructType\AtualizarConfiguracoesExcecaoXMLResponse|bool
     */
    public function AtualizarConfiguracoesExcecaoXML(\StructType\AtualizarConfiguracoesExcecaoXML $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesExcecaoXML($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * AtualizarConfiguracoesConfiguracaoHistorico
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesConfiguracaoHistorico $parameters
     * @return \StructType\AtualizarConfiguracoesConfiguracaoHistoricoResponse|bool
     */
    public function AtualizarConfiguracoesConfiguracaoHistorico(\StructType\AtualizarConfiguracoesConfiguracaoHistorico $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesConfiguracaoHistorico($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesTransmissao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesTransmissao $parameters
     * @return \StructType\AtualizarConfiguracoesTransmissaoResponse|bool
     */
    public function AtualizarConfiguracoesTransmissao(\StructType\AtualizarConfiguracoesTransmissao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesTransmissao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesOpcoesSe
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesOpcoesSe $parameters
     * @return \StructType\AtualizarConfiguracoesOpcoesSeResponse|bool
     */
    public function AtualizarConfiguracoesOpcoesSe(\StructType\AtualizarConfiguracoesOpcoesSe $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesOpcoesSe($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesTransicao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesTransicao $parameters
     * @return \StructType\AtualizarConfiguracoesTransicaoResponse|bool
     */
    public function AtualizarConfiguracoesTransicao(\StructType\AtualizarConfiguracoesTransicao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesTransicao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesTemperatura
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesTemperatura $parameters
     * @return \StructType\AtualizarConfiguracoesTemperaturaResponse|bool
     */
    public function AtualizarConfiguracoesTemperatura(\StructType\AtualizarConfiguracoesTemperatura $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesTemperatura($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesInterativo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesInterativo $parameters
     * @return \StructType\AtualizarConfiguracoesInterativoResponse|bool
     */
    public function AtualizarConfiguracoesInterativo(\StructType\AtualizarConfiguracoesInterativo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesInterativo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesSenhas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesSenhas $parameters
     * @return \StructType\AtualizarConfiguracoesSenhasResponse|bool
     */
    public function AtualizarConfiguracoesSenhas(\StructType\AtualizarConfiguracoesSenhas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesSenhas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesAtuadores
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesAtuadores $parameters
     * @return \StructType\AtualizarConfiguracoesAtuadoresResponse|bool
     */
    public function AtualizarConfiguracoesAtuadores(\StructType\AtualizarConfiguracoesAtuadores $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesAtuadores($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * AtualizarConfiguracoesOpcoesSeguranca
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesOpcoesSeguranca $parameters
     * @return \StructType\AtualizarConfiguracoesOpcoesSegurancaResponse|bool
     */
    public function AtualizarConfiguracoesOpcoesSeguranca(\StructType\AtualizarConfiguracoesOpcoesSeguranca $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesOpcoesSeguranca($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesExcecao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesExcecao $parameters
     * @return \StructType\AtualizarConfiguracoesExcecaoResponse|bool
     */
    public function AtualizarConfiguracoesExcecao(\StructType\AtualizarConfiguracoesExcecao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesExcecao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarVeiculo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarVeiculo $parameters
     * @return \StructType\AtualizarVeiculoResponse|bool
     */
    public function AtualizarVeiculo(\StructType\AtualizarVeiculo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarVeiculo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarVeiculoGestor
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarVeiculoGestor $parameters
     * @return \StructType\AtualizarVeiculoGestorResponse|bool
     */
    public function AtualizarVeiculoGestor(\StructType\AtualizarVeiculoGestor $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarVeiculoGestor($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarModTransicao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarModTransicao $parameters
     * @return \StructType\AtualizarModTransicaoResponse|bool
     */
    public function AtualizarModTransicao(\StructType\AtualizarModTransicao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarModTransicao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarMensagemFormatada
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarMensagemFormatada $parameters
     * @return \StructType\AtualizarMensagemFormatadaResponse|bool
     */
    public function AtualizarMensagemFormatada(\StructType\AtualizarMensagemFormatada $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarMensagemFormatada($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarMensagemFormatadaItem
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarMensagemFormatadaItem $parameters
     * @return \StructType\AtualizarMensagemFormatadaItemResponse|bool
     */
    public function AtualizarMensagemFormatadaItem(\StructType\AtualizarMensagemFormatadaItem $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarMensagemFormatadaItem($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * AtualizarConfiguracoesMultiplosSensores
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesMultiplosSensores $parameters
     * @return \StructType\AtualizarConfiguracoesMultiplosSensoresResponse|bool
     */
    public function AtualizarConfiguracoesMultiplosSensores(\StructType\AtualizarConfiguracoesMultiplosSensores $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesMultiplosSensores($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarConfiguracoesUmidade
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracoesUmidade $parameters
     * @return \StructType\AtualizarConfiguracoesUmidadeResponse|bool
     */
    public function AtualizarConfiguracoesUmidade(\StructType\AtualizarConfiguracoesUmidade $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracoesUmidade($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarPerfilCfg
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarPerfilCfg $parameters
     * @return \StructType\AtualizarPerfilCfgResponse|bool
     */
    public function AtualizarPerfilCfg(\StructType\AtualizarPerfilCfg $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarPerfilCfg($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarVeiculoSensor
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarVeiculoSensor $parameters
     * @return \StructType\AtualizarVeiculoSensorResponse|bool
     */
    public function AtualizarVeiculoSensor(\StructType\AtualizarVeiculoSensor $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarVeiculoSensor($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * AtualizarConfiguracaoAlertaComunicacao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarConfiguracaoAlertaComunicacao $parameters
     * @return \StructType\AtualizarConfiguracaoAlertaComunicacaoResponse|bool
     */
    public function AtualizarConfiguracaoAlertaComunicacao(\StructType\AtualizarConfiguracaoAlertaComunicacao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarConfiguracaoAlertaComunicacao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarGrupoFuncaoProgramavel
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarGrupoFuncaoProgramavel $parameters
     * @return \StructType\AtualizarGrupoFuncaoProgramavelResponse|bool
     */
    public function AtualizarGrupoFuncaoProgramavel(\StructType\AtualizarGrupoFuncaoProgramavel $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarGrupoFuncaoProgramavel($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarRegra
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarRegra $parameters
     * @return \StructType\AtualizarRegraResponse|bool
     */
    public function AtualizarRegra(\StructType\AtualizarRegra $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarRegra($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarFuncaoProgramada
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarFuncaoProgramada $parameters
     * @return \StructType\AtualizarFuncaoProgramadaResponse|bool
     */
    public function AtualizarFuncaoProgramada(\StructType\AtualizarFuncaoProgramada $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarFuncaoProgramada($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AtualizarMotivo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\AtualizarMotivo $parameters
     * @return \StructType\AtualizarMotivoResponse|bool
     */
    public function AtualizarMotivo(\StructType\AtualizarMotivo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AtualizarMotivo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\AtualizarConfiguracaoAlertaComunicacaoResponse|\StructType\AtualizarConfiguracoesAtuadoresResponse|\StructType\AtualizarConfiguracoesConfiguracaoHistoricoResponse|\StructType\AtualizarConfiguracoesExcecaoResponse|\StructType\AtualizarConfiguracoesExcecaoXMLResponse|\StructType\AtualizarConfiguracoesInterativoResponse|\StructType\AtualizarConfiguracoesMultiplosSensoresResponse|\StructType\AtualizarConfiguracoesOpcoesSegurancaResponse|\StructType\AtualizarConfiguracoesOpcoesSeResponse|\StructType\AtualizarConfiguracoesSenhasResponse|\StructType\AtualizarConfiguracoesTemperaturaResponse|\StructType\AtualizarConfiguracoesTransicaoResponse|\StructType\AtualizarConfiguracoesTransmissaoResponse|\StructType\AtualizarConfiguracoesUmidadeResponse|\StructType\AtualizarFuncaoProgramadaResponse|\StructType\AtualizarGrupoFuncaoProgramavelResponse|\StructType\AtualizarMensagemFormatadaItemResponse|\StructType\AtualizarMensagemFormatadaResponse|\StructType\AtualizarModTransicaoResponse|\StructType\AtualizarMotivoResponse|\StructType\AtualizarPerfilAlvoResponse|\StructType\AtualizarPerfilCfgResponse|\StructType\AtualizarRegraResponse|\StructType\AtualizarVeiculoGestorResponse|\StructType\AtualizarVeiculoResponse|\StructType\AtualizarVeiculoSensorResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
