<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Buscar ServiceType
 * @subpackage Services
 */
class Buscar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named BuscarAlvosLikeNome
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarAlvosLikeNome $parameters
     * @return \StructType\BuscarAlvosLikeNomeResponse|bool
     */
    public function BuscarAlvosLikeNome(\StructType\BuscarAlvosLikeNome $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarAlvosLikeNome($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarQtdAlvosGrupo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarQtdAlvosGrupo $parameters
     * @return \StructType\BuscarQtdAlvosGrupoResponse|bool
     */
    public function BuscarQtdAlvosGrupo(\StructType\BuscarQtdAlvosGrupo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarQtdAlvosGrupo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarUltimoIdPost
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarUltimoIdPost $parameters
     * @return \StructType\BuscarUltimoIdPostResponse|bool
     */
    public function BuscarUltimoIdPost(\StructType\BuscarUltimoIdPost $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarUltimoIdPost($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarCercasLikeNome
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarCercasLikeNome $parameters
     * @return \StructType\BuscarCercasLikeNomeResponse|bool
     */
    public function BuscarCercasLikeNome(\StructType\BuscarCercasLikeNome $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarCercasLikeNome($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarQtdCercasGrupo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarQtdCercasGrupo $parameters
     * @return \StructType\BuscarQtdCercasGrupoResponse|bool
     */
    public function BuscarQtdCercasGrupo(\StructType\BuscarQtdCercasGrupo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarQtdCercasGrupo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarRotasLikeNome
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarRotasLikeNome $parameters
     * @return \StructType\BuscarRotasLikeNomeResponse|bool
     */
    public function BuscarRotasLikeNome(\StructType\BuscarRotasLikeNome $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarRotasLikeNome($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarQtdRotasGrupo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarQtdRotasGrupo $parameters
     * @return \StructType\BuscarQtdRotasGrupoResponse|bool
     */
    public function BuscarQtdRotasGrupo(\StructType\BuscarQtdRotasGrupo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarQtdRotasGrupo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarRotaId
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarRotaId $parameters
     * @return \StructType\BuscarRotaIdResponse|bool
     */
    public function BuscarRotaId(\StructType\BuscarRotaId $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarRotaId($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarClasseDeReferencia
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarClasseDeReferencia $parameters
     * @return \StructType\BuscarClasseDeReferenciaResponse|bool
     */
    public function BuscarClasseDeReferencia(\StructType\BuscarClasseDeReferencia $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarClasseDeReferencia($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named BuscarUltimoIdPostPorCliente
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\BuscarUltimoIdPostPorCliente $parameters
     * @return \StructType\BuscarUltimoIdPostPorClienteResponse|bool
     */
    public function BuscarUltimoIdPostPorCliente(\StructType\BuscarUltimoIdPostPorCliente $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->BuscarUltimoIdPostPorCliente($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\BuscarAlvosLikeNomeResponse|\StructType\BuscarCercasLikeNomeResponse|\StructType\BuscarClasseDeReferenciaResponse|\StructType\BuscarQtdAlvosGrupoResponse|\StructType\BuscarQtdCercasGrupoResponse|\StructType\BuscarQtdRotasGrupoResponse|\StructType\BuscarRotaIdResponse|\StructType\BuscarRotasLikeNomeResponse|\StructType\BuscarUltimoIdPostPorClienteResponse|\StructType\BuscarUltimoIdPostResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
