<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Deslacrar ServiceType
 * @subpackage Services
 */
class Deslacrar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named DeslacrarBau
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeslacrarBau $parameters
     * @return \StructType\DeslacrarBauResponse|bool
     */
    public function DeslacrarBau(\StructType\DeslacrarBau $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeslacrarBau($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeslacrarCabine
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeslacrarCabine $parameters
     * @return \StructType\DeslacrarCabineResponse|bool
     */
    public function DeslacrarCabine(\StructType\DeslacrarCabine $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeslacrarCabine($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeslacrarCarreta
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeslacrarCarreta $parameters
     * @return \StructType\DeslacrarCarretaResponse|bool
     */
    public function DeslacrarCarreta(\StructType\DeslacrarCarreta $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeslacrarCarreta($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeslacrarMotor
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeslacrarMotor $parameters
     * @return \StructType\DeslacrarMotorResponse|bool
     */
    public function DeslacrarMotor(\StructType\DeslacrarMotor $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeslacrarMotor($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\DeslacrarBauResponse|\StructType\DeslacrarCabineResponse|\StructType\DeslacrarCarretaResponse|\StructType\DeslacrarMotorResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
