<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Editar ServiceType
 * @subpackage Services
 */
class Editar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named EditarTextoTerminal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarTextoTerminal $parameters
     * @return \StructType\EditarTextoTerminalResponse|bool
     */
    public function EditarTextoTerminal(\StructType\EditarTextoTerminal $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarTextoTerminal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EditarVariavelPersonalizada
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarVariavelPersonalizada $parameters
     * @return \StructType\EditarVariavelPersonalizadaResponse|bool
     */
    public function EditarVariavelPersonalizada(\StructType\EditarVariavelPersonalizada $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarVariavelPersonalizada($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EditarClasseDeReferencia
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarClasseDeReferencia $parameters
     * @return \StructType\EditarClasseDeReferenciaResponse|bool
     */
    public function EditarClasseDeReferencia(\StructType\EditarClasseDeReferencia $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarClasseDeReferencia($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EditarPontoDeReferencia
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarPontoDeReferencia $parameters
     * @return \StructType\EditarPontoDeReferenciaResponse|bool
     */
    public function EditarPontoDeReferencia(\StructType\EditarPontoDeReferencia $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarPontoDeReferencia($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EditarPerfilCerca
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarPerfilCerca $parameters
     * @return \StructType\EditarPerfilCercaResponse|bool
     */
    public function EditarPerfilCerca(\StructType\EditarPerfilCerca $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarPerfilCerca($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EditarPerfilRota
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarPerfilRota $parameters
     * @return \StructType\EditarPerfilRotaResponse|bool
     */
    public function EditarPerfilRota(\StructType\EditarPerfilRota $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarPerfilRota($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EditarOperacao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarOperacao $parameters
     * @return \StructType\EditarOperacaoResponse|bool
     */
    public function EditarOperacao(\StructType\EditarOperacao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarOperacao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EditarSensorDeAlarme
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EditarSensorDeAlarme $parameters
     * @return \StructType\EditarSensorDeAlarmeResponse|bool
     */
    public function EditarSensorDeAlarme(\StructType\EditarSensorDeAlarme $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EditarSensorDeAlarme($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\EditarClasseDeReferenciaResponse|\StructType\EditarOperacaoResponse|\StructType\EditarPerfilCercaResponse|\StructType\EditarPerfilRotaResponse|\StructType\EditarPontoDeReferenciaResponse|\StructType\EditarSensorDeAlarmeResponse|\StructType\EditarTextoTerminalResponse|\StructType\EditarVariavelPersonalizadaResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
