<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Excluir ServiceType
 * @subpackage Services
 */
class Excluir extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named ExcluirModTransicao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirModTransicao $parameters
     * @return \StructType\ExcluirModTransicaoResponse|bool
     */
    public function ExcluirModTransicao(\StructType\ExcluirModTransicao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirModTransicao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirGrupoMensagemFormatada
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirGrupoMensagemFormatada $parameters
     * @return \StructType\ExcluirGrupoMensagemFormatadaResponse|bool
     */
    public function ExcluirGrupoMensagemFormatada(\StructType\ExcluirGrupoMensagemFormatada $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirGrupoMensagemFormatada($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirMensagemFormatada
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirMensagemFormatada $parameters
     * @return \StructType\ExcluirMensagemFormatadaResponse|bool
     */
    public function ExcluirMensagemFormatada(\StructType\ExcluirMensagemFormatada $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirMensagemFormatada($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirMensagemFormatadaItem
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirMensagemFormatadaItem $parameters
     * @return \StructType\ExcluirMensagemFormatadaItemResponse|bool
     */
    public function ExcluirMensagemFormatadaItem(\StructType\ExcluirMensagemFormatadaItem $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirMensagemFormatadaItem($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirPerfilAlvo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirPerfilAlvo $parameters
     * @return \StructType\ExcluirPerfilAlvoResponse|bool
     */
    public function ExcluirPerfilAlvo(\StructType\ExcluirPerfilAlvo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirPerfilAlvo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirPerfilRota
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirPerfilRota $parameters
     * @return \StructType\ExcluirPerfilRotaResponse|bool
     */
    public function ExcluirPerfilRota(\StructType\ExcluirPerfilRota $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirPerfilRota($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirPerfilCerca
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirPerfilCerca $parameters
     * @return \StructType\ExcluirPerfilCercaResponse|bool
     */
    public function ExcluirPerfilCerca(\StructType\ExcluirPerfilCerca $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirPerfilCerca($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirGrupoAlvo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirGrupoAlvo $parameters
     * @return \StructType\ExcluirGrupoAlvoResponse|bool
     */
    public function ExcluirGrupoAlvo(\StructType\ExcluirGrupoAlvo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirGrupoAlvo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirGrupoRota
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirGrupoRota $parameters
     * @return \StructType\ExcluirGrupoRotaResponse|bool
     */
    public function ExcluirGrupoRota(\StructType\ExcluirGrupoRota $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirGrupoRota($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirGrupoCerca
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirGrupoCerca $parameters
     * @return \StructType\ExcluirGrupoCercaResponse|bool
     */
    public function ExcluirGrupoCerca(\StructType\ExcluirGrupoCerca $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirGrupoCerca($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirAssociacaoAlvo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirAssociacaoAlvo $parameters
     * @return \StructType\ExcluirAssociacaoAlvoResponse|bool
     */
    public function ExcluirAssociacaoAlvo(\StructType\ExcluirAssociacaoAlvo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirAssociacaoAlvo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirAssociacaoRota
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirAssociacaoRota $parameters
     * @return \StructType\ExcluirAssociacaoRotaResponse|bool
     */
    public function ExcluirAssociacaoRota(\StructType\ExcluirAssociacaoRota $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirAssociacaoRota($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirAssociacaoCerca
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirAssociacaoCerca $parameters
     * @return \StructType\ExcluirAssociacaoCercaResponse|bool
     */
    public function ExcluirAssociacaoCerca(\StructType\ExcluirAssociacaoCerca $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirAssociacaoCerca($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirPerfilCfg
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirPerfilCfg $parameters
     * @return \StructType\ExcluirPerfilCfgResponse|bool
     */
    public function ExcluirPerfilCfg(\StructType\ExcluirPerfilCfg $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirPerfilCfg($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirAlvoDeGrupo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirAlvoDeGrupo $parameters
     * @return \StructType\ExcluirAlvoDeGrupoResponse|bool
     */
    public function ExcluirAlvoDeGrupo(\StructType\ExcluirAlvoDeGrupo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirAlvoDeGrupo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirRotaDeGrupo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirRotaDeGrupo $parameters
     * @return \StructType\ExcluirRotaDeGrupoResponse|bool
     */
    public function ExcluirRotaDeGrupo(\StructType\ExcluirRotaDeGrupo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirRotaDeGrupo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirCercaDeGrupo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirCercaDeGrupo $parameters
     * @return \StructType\ExcluirCercaDeGrupoResponse|bool
     */
    public function ExcluirCercaDeGrupo(\StructType\ExcluirCercaDeGrupo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirCercaDeGrupo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirVeiculoSensor
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirVeiculoSensor $parameters
     * @return \StructType\ExcluirVeiculoSensorResponse|bool
     */
    public function ExcluirVeiculoSensor(\StructType\ExcluirVeiculoSensor $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirVeiculoSensor($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirOperacao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirOperacao $parameters
     * @return \StructType\ExcluirOperacaoResponse|bool
     */
    public function ExcluirOperacao(\StructType\ExcluirOperacao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirOperacao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirOperacaoItem
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirOperacaoItem $parameters
     * @return \StructType\ExcluirOperacaoItemResponse|bool
     */
    public function ExcluirOperacaoItem(\StructType\ExcluirOperacaoItem $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirOperacaoItem($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirGrupoFuncaoProgramavel
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirGrupoFuncaoProgramavel $parameters
     * @return \StructType\ExcluirGrupoFuncaoProgramavelResponse|bool
     */
    public function ExcluirGrupoFuncaoProgramavel(\StructType\ExcluirGrupoFuncaoProgramavel $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirGrupoFuncaoProgramavel($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirTextoTerminal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirTextoTerminal $parameters
     * @return \StructType\ExcluirTextoTerminalResponse|bool
     */
    public function ExcluirTextoTerminal(\StructType\ExcluirTextoTerminal $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirTextoTerminal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirAssociacaoOperacaoEVeiculo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirAssociacaoOperacaoEVeiculo $parameters
     * @return \StructType\ExcluirAssociacaoOperacaoEVeiculoResponse|bool
     */
    public function ExcluirAssociacaoOperacaoEVeiculo(\StructType\ExcluirAssociacaoOperacaoEVeiculo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirAssociacaoOperacaoEVeiculo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExcluirMotivo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirMotivo $parameters
     * @return \StructType\ExcluirMotivoResponse|bool
     */
    public function ExcluirMotivo(\StructType\ExcluirMotivo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirMotivo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * ExcluirSolicitacaoEspelhamentoReverso
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ExcluirSolicitacaoEspelhamentoReverso $parameters
     * @return \StructType\ExcluirSolicitacaoEspelhamentoReversoResponse|bool
     */
    public function ExcluirSolicitacaoEspelhamentoReverso(\StructType\ExcluirSolicitacaoEspelhamentoReverso $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ExcluirSolicitacaoEspelhamentoReverso($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\ExcluirAlvoDeGrupoResponse|\StructType\ExcluirAssociacaoAlvoResponse|\StructType\ExcluirAssociacaoCercaResponse|\StructType\ExcluirAssociacaoOperacaoEVeiculoResponse|\StructType\ExcluirAssociacaoRotaResponse|\StructType\ExcluirCercaDeGrupoResponse|\StructType\ExcluirGrupoAlvoResponse|\StructType\ExcluirGrupoCercaResponse|\StructType\ExcluirGrupoFuncaoProgramavelResponse|\StructType\ExcluirGrupoMensagemFormatadaResponse|\StructType\ExcluirGrupoRotaResponse|\StructType\ExcluirMensagemFormatadaItemResponse|\StructType\ExcluirMensagemFormatadaResponse|\StructType\ExcluirModTransicaoResponse|\StructType\ExcluirMotivoResponse|\StructType\ExcluirOperacaoItemResponse|\StructType\ExcluirOperacaoResponse|\StructType\ExcluirPerfilAlvoResponse|\StructType\ExcluirPerfilCercaResponse|\StructType\ExcluirPerfilCfgResponse|\StructType\ExcluirPerfilRotaResponse|\StructType\ExcluirRotaDeGrupoResponse|\StructType\ExcluirSolicitacaoEspelhamentoReversoResponse|\StructType\ExcluirTextoTerminalResponse|\StructType\ExcluirVeiculoSensorResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
