<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Obtem ServiceType
 * @subpackage Services
 */
class Obtem extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named ObtemRastreadores_Todos
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemRastreadores_Todos $parameters
     * @return \StructType\ObtemRastreadores_TodosResponse|bool
     */
    public function ObtemRastreadores_Todos(\StructType\ObtemRastreadores_Todos $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemRastreadores_Todos($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemEventosNormais
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemEventosNormais $parameters
     * @return \StructType\ObtemEventosNormaisResponse|bool
     */
    public function ObtemEventosNormais(\StructType\ObtemEventosNormais $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemEventosNormais($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemEventosCtrl
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemEventosCtrl $parameters
     * @return \StructType\ObtemEventosCtrlResponse|bool
     */
    public function ObtemEventosCtrl(\StructType\ObtemEventosCtrl $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemEventosCtrl($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemEventosMF
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemEventosMF $parameters
     * @return \StructType\ObtemEventosMFResponse|bool
     */
    public function ObtemEventosMF(\StructType\ObtemEventosMF $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemEventosMF($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemStatusComando
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemStatusComando $parameters
     * @return \StructType\ObtemStatusComandoResponse|bool
     */
    public function ObtemStatusComando(\StructType\ObtemStatusComando $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemStatusComando($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemEventos
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemEventos $parameters
     * @return \StructType\ObtemEventosResponse|bool
     */
    public function ObtemEventos(\StructType\ObtemEventos $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemEventos($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemMensagensPreDefinidas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemMensagensPreDefinidas $parameters
     * @return \StructType\ObtemMensagensPreDefinidasResponse|bool
     */
    public function ObtemMensagensPreDefinidas(\StructType\ObtemMensagensPreDefinidas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemMensagensPreDefinidas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemEventosOmnifrota
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemEventosOmnifrota $parameters
     * @return \StructType\ObtemEventosOmnifrotaResponse|bool
     */
    public function ObtemEventosOmnifrota(\StructType\ObtemEventosOmnifrota $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemEventosOmnifrota($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemEventosIscas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemEventosIscas $parameters
     * @return \StructType\ObtemEventosIscasResponse|bool
     */
    public function ObtemEventosIscas(\StructType\ObtemEventosIscas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemEventosIscas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemListaPerfilCercaAlvo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemListaPerfilCercaAlvo $parameters
     * @return \StructType\ObtemListaPerfilCercaAlvoResponse|bool
     */
    public function ObtemListaPerfilCercaAlvo(\StructType\ObtemListaPerfilCercaAlvo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemListaPerfilCercaAlvo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemEventosImportacao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemEventosImportacao $parameters
     * @return \StructType\ObtemEventosImportacaoResponse|bool
     */
    public function ObtemEventosImportacao(\StructType\ObtemEventosImportacao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemEventosImportacao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemRastreadoresTodosIscas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemRastreadoresTodosIscas $parameters
     * @return \StructType\ObtemRastreadoresTodosIscasResponse|bool
     */
    public function ObtemRastreadoresTodosIscas(\StructType\ObtemRastreadoresTodosIscas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemRastreadoresTodosIscas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ObtemRastreadoresTodosOmnifrota
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ObtemRastreadoresTodosOmnifrota $parameters
     * @return \StructType\ObtemRastreadoresTodosOmnifrotaResponse|bool
     */
    public function ObtemRastreadoresTodosOmnifrota(\StructType\ObtemRastreadoresTodosOmnifrota $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->ObtemRastreadoresTodosOmnifrota($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\ObtemEventosCtrlResponse|\StructType\ObtemEventosImportacaoResponse|\StructType\ObtemEventosIscasResponse|\StructType\ObtemEventosMFResponse|\StructType\ObtemEventosNormaisResponse|\StructType\ObtemEventosOmnifrotaResponse|\StructType\ObtemEventosResponse|\StructType\ObtemListaPerfilCercaAlvoResponse|\StructType\ObtemMensagensPreDefinidasResponse|\StructType\ObtemRastreadoresTodosIscasResponse|\StructType\ObtemRastreadoresTodosOmnifrotaResponse|\StructType\ObtemRastreadores_TodosResponse|\StructType\ObtemStatusComandoResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
