<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Remover ServiceType
 * @subpackage Services
 */
class Remover extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named RemoverClasseDeReferencia
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverClasseDeReferencia $parameters
     * @return \StructType\RemoverClasseDeReferenciaResponse|bool
     */
    public function RemoverClasseDeReferencia(\StructType\RemoverClasseDeReferencia $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverClasseDeReferencia($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverPontoDeReferencia
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverPontoDeReferencia $parameters
     * @return \StructType\RemoverPontoDeReferenciaResponse|bool
     */
    public function RemoverPontoDeReferencia(\StructType\RemoverPontoDeReferencia $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverPontoDeReferencia($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgExcecao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgExcecao $parameters
     * @return \StructType\RemoverCfgExcecaoResponse|bool
     */
    public function RemoverCfgExcecao(\StructType\RemoverCfgExcecao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgExcecao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgOpcoesSE
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgOpcoesSE $parameters
     * @return \StructType\RemoverCfgOpcoesSEResponse|bool
     */
    public function RemoverCfgOpcoesSE(\StructType\RemoverCfgOpcoesSE $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgOpcoesSE($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverSensorDeAlarme
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverSensorDeAlarme $parameters
     * @return \StructType\RemoverSensorDeAlarmeResponse|bool
     */
    public function RemoverSensorDeAlarme(\StructType\RemoverSensorDeAlarme $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverSensorDeAlarme($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgTransmissao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgTransmissao $parameters
     * @return \StructType\RemoverCfgTransmissaoResponse|bool
     */
    public function RemoverCfgTransmissao(\StructType\RemoverCfgTransmissao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgTransmissao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgOpcoesSeg
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgOpcoesSeg $parameters
     * @return \StructType\RemoverCfgOpcoesSegResponse|bool
     */
    public function RemoverCfgOpcoesSeg(\StructType\RemoverCfgOpcoesSeg $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgOpcoesSeg($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgInterativo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgInterativo $parameters
     * @return \StructType\RemoverCfgInterativoResponse|bool
     */
    public function RemoverCfgInterativo(\StructType\RemoverCfgInterativo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgInterativo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgAtuadores
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgAtuadores $parameters
     * @return \StructType\RemoverCfgAtuadoresResponse|bool
     */
    public function RemoverCfgAtuadores(\StructType\RemoverCfgAtuadores $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgAtuadores($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgSenhas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgSenhas $parameters
     * @return \StructType\RemoverCfgSenhasResponse|bool
     */
    public function RemoverCfgSenhas(\StructType\RemoverCfgSenhas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgSenhas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgHistorico
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgHistorico $parameters
     * @return \StructType\RemoverCfgHistoricoResponse|bool
     */
    public function RemoverCfgHistorico(\StructType\RemoverCfgHistorico $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgHistorico($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgTemperatura
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgTemperatura $parameters
     * @return \StructType\RemoverCfgTemperaturaResponse|bool
     */
    public function RemoverCfgTemperatura(\StructType\RemoverCfgTemperatura $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgTemperatura($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgUmidade
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgUmidade $parameters
     * @return \StructType\RemoverCfgUmidadeResponse|bool
     */
    public function RemoverCfgUmidade(\StructType\RemoverCfgUmidade $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgUmidade($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RemoverCfgMultiplosSensores
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RemoverCfgMultiplosSensores $parameters
     * @return \StructType\RemoverCfgMultiplosSensoresResponse|bool
     */
    public function RemoverCfgMultiplosSensores(\StructType\RemoverCfgMultiplosSensores $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RemoverCfgMultiplosSensores($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\RemoverCfgAtuadoresResponse|\StructType\RemoverCfgExcecaoResponse|\StructType\RemoverCfgHistoricoResponse|\StructType\RemoverCfgInterativoResponse|\StructType\RemoverCfgMultiplosSensoresResponse|\StructType\RemoverCfgOpcoesSegResponse|\StructType\RemoverCfgOpcoesSEResponse|\StructType\RemoverCfgSenhasResponse|\StructType\RemoverCfgTemperaturaResponse|\StructType\RemoverCfgTransmissaoResponse|\StructType\RemoverCfgUmidadeResponse|\StructType\RemoverClasseDeReferenciaResponse|\StructType\RemoverPontoDeReferenciaResponse|\StructType\RemoverSensorDeAlarmeResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
