<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Transicoes ServiceType
 * @subpackage Services
 */
class Transicoes extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Transicoes_InibirApagarFPs
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Transicoes_InibirApagarFPs $parameters
     * @return \StructType\Transicoes_InibirApagarFPsResponse|bool
     */
    public function Transicoes_InibirApagarFPs(\StructType\Transicoes_InibirApagarFPs $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Transicoes_InibirApagarFPs($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Transicoes_InibirFPs
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Transicoes_InibirFPs $parameters
     * @return \StructType\Transicoes_InibirFPsResponse|bool
     */
    public function Transicoes_InibirFPs(\StructType\Transicoes_InibirFPs $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Transicoes_InibirFPs($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Transicoes_LiberarFPs
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Transicoes_LiberarFPs $parameters
     * @return \StructType\Transicoes_LiberarFPsResponse|bool
     */
    public function Transicoes_LiberarFPs(\StructType\Transicoes_LiberarFPs $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Transicoes_LiberarFPs($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Transicoes_SolicitaLista
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Transicoes_SolicitaLista $parameters
     * @return \StructType\Transicoes_SolicitaListaResponse|bool
     */
    public function Transicoes_SolicitaLista(\StructType\Transicoes_SolicitaLista $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Transicoes_SolicitaLista($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Transicoes_SolicitaListaTabelas
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Transicoes_SolicitaListaTabelas $parameters
     * @return \StructType\Transicoes_SolicitaListaTabelasResponse|bool
     */
    public function Transicoes_SolicitaListaTabelas(\StructType\Transicoes_SolicitaListaTabelas $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Transicoes_SolicitaListaTabelas($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Transicoes_SolicitaStatusEnvio
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Transicoes_SolicitaStatusEnvio $parameters
     * @return \StructType\Transicoes_SolicitaStatusEnvioResponse|bool
     */
    public function Transicoes_SolicitaStatusEnvio(\StructType\Transicoes_SolicitaStatusEnvio $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Transicoes_SolicitaStatusEnvio($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Transicoes_EnviaConfiguracao
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Transicoes_EnviaConfiguracao $parameters
     * @return \StructType\Transicoes_EnviaConfiguracaoResponse|bool
     */
    public function Transicoes_EnviaConfiguracao(\StructType\Transicoes_EnviaConfiguracao $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Transicoes_EnviaConfiguracao($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Transicoes_EnviaConfiguracaoResponse|\StructType\Transicoes_InibirApagarFPsResponse|\StructType\Transicoes_InibirFPsResponse|\StructType\Transicoes_LiberarFPsResponse|\StructType\Transicoes_SolicitaListaResponse|\StructType\Transicoes_SolicitaListaTabelasResponse|\StructType\Transicoes_SolicitaStatusEnvioResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
