<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AceiteDeEspelhamentoReverso StructType
 * Meta information extracted from the WSDL
 * - type: tns:AceiteDeEspelhamentoReverso
 * @subpackage Structs
 */
class AceiteDeEspelhamentoReverso extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdSolicitacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdSolicitacao;
    /**
     * The StatusAceite
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $StatusAceite;
    /**
     * Constructor method for AceiteDeEspelhamentoReverso
     * @uses AceiteDeEspelhamentoReverso::setUsuario()
     * @uses AceiteDeEspelhamentoReverso::setSenha()
     * @uses AceiteDeEspelhamentoReverso::setIdSolicitacao()
     * @uses AceiteDeEspelhamentoReverso::setStatusAceite()
     * @param string $usuario
     * @param string $senha
     * @param int $idSolicitacao
     * @param int $statusAceite
     */
    public function __construct($usuario = null, $senha = null, $idSolicitacao = null, $statusAceite = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdSolicitacao($idSolicitacao)
            ->setStatusAceite($statusAceite);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\AceiteDeEspelhamentoReverso
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\AceiteDeEspelhamentoReverso
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdSolicitacao value
     * @return int|null
     */
    public function getIdSolicitacao()
    {
        return $this->IdSolicitacao;
    }
    /**
     * Set IdSolicitacao value
     * @param int $idSolicitacao
     * @return \StructType\AceiteDeEspelhamentoReverso
     */
    public function setIdSolicitacao($idSolicitacao = null)
    {
        // validation for constraint: int
        if (!is_null($idSolicitacao) && !(is_int($idSolicitacao) || ctype_digit($idSolicitacao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idSolicitacao, true), gettype($idSolicitacao)), __LINE__);
        }
        $this->IdSolicitacao = $idSolicitacao;
        return $this;
    }
    /**
     * Get StatusAceite value
     * @return int|null
     */
    public function getStatusAceite()
    {
        return $this->StatusAceite;
    }
    /**
     * Set StatusAceite value
     * @param int $statusAceite
     * @return \StructType\AceiteDeEspelhamentoReverso
     */
    public function setStatusAceite($statusAceite = null)
    {
        // validation for constraint: int
        if (!is_null($statusAceite) && !(is_int($statusAceite) || ctype_digit($statusAceite))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($statusAceite, true), gettype($statusAceite)), __LINE__);
        }
        $this->StatusAceite = $statusAceite;
        return $this;
    }
}
