<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AlterarIntervaloSateliteTemporario StructType
 * Meta information extracted from the WSDL
 * - type: tns:AlterarIntervaloSateliteTemporario
 * @subpackage Structs
 */
class AlterarIntervaloSateliteTemporario extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdTerminal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdTerminal;
    /**
     * The Intervalo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Intervalo;
    /**
     * The Periodo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Periodo;
    /**
     * Constructor method for AlterarIntervaloSateliteTemporario
     * @uses AlterarIntervaloSateliteTemporario::setUsuario()
     * @uses AlterarIntervaloSateliteTemporario::setSenha()
     * @uses AlterarIntervaloSateliteTemporario::setIdTerminal()
     * @uses AlterarIntervaloSateliteTemporario::setIntervalo()
     * @uses AlterarIntervaloSateliteTemporario::setPeriodo()
     * @param string $usuario
     * @param string $senha
     * @param int $idTerminal
     * @param int $intervalo
     * @param int $periodo
     */
    public function __construct($usuario = null, $senha = null, $idTerminal = null, $intervalo = null, $periodo = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdTerminal($idTerminal)
            ->setIntervalo($intervalo)
            ->setPeriodo($periodo);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\AlterarIntervaloSateliteTemporario
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\AlterarIntervaloSateliteTemporario
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdTerminal value
     * @return int|null
     */
    public function getIdTerminal()
    {
        return $this->IdTerminal;
    }
    /**
     * Set IdTerminal value
     * @param int $idTerminal
     * @return \StructType\AlterarIntervaloSateliteTemporario
     */
    public function setIdTerminal($idTerminal = null)
    {
        // validation for constraint: int
        if (!is_null($idTerminal) && !(is_int($idTerminal) || ctype_digit($idTerminal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTerminal, true), gettype($idTerminal)), __LINE__);
        }
        $this->IdTerminal = $idTerminal;
        return $this;
    }
    /**
     * Get Intervalo value
     * @return int|null
     */
    public function getIntervalo()
    {
        return $this->Intervalo;
    }
    /**
     * Set Intervalo value
     * @param int $intervalo
     * @return \StructType\AlterarIntervaloSateliteTemporario
     */
    public function setIntervalo($intervalo = null)
    {
        // validation for constraint: int
        if (!is_null($intervalo) && !(is_int($intervalo) || ctype_digit($intervalo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($intervalo, true), gettype($intervalo)), __LINE__);
        }
        $this->Intervalo = $intervalo;
        return $this;
    }
    /**
     * Get Periodo value
     * @return int|null
     */
    public function getPeriodo()
    {
        return $this->Periodo;
    }
    /**
     * Set Periodo value
     * @param int $periodo
     * @return \StructType\AlterarIntervaloSateliteTemporario
     */
    public function setPeriodo($periodo = null)
    {
        // validation for constraint: int
        if (!is_null($periodo) && !(is_int($periodo) || ctype_digit($periodo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($periodo, true), gettype($periodo)), __LINE__);
        }
        $this->Periodo = $periodo;
        return $this;
    }
}
