<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AssociarPerfilAlvosGrupo StructType
 * Meta information extracted from the WSDL
 * - type: tns:AssociarPerfilAlvosGrupo
 * @subpackage Structs
 */
class AssociarPerfilAlvosGrupo extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdPerfilAlvo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdPerfilAlvo;
    /**
     * The IdGrupoAlvo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdGrupoAlvo;
    /**
     * Constructor method for AssociarPerfilAlvosGrupo
     * @uses AssociarPerfilAlvosGrupo::setUsuario()
     * @uses AssociarPerfilAlvosGrupo::setSenha()
     * @uses AssociarPerfilAlvosGrupo::setIdPerfilAlvo()
     * @uses AssociarPerfilAlvosGrupo::setIdGrupoAlvo()
     * @param string $usuario
     * @param string $senha
     * @param int $idPerfilAlvo
     * @param int $idGrupoAlvo
     */
    public function __construct($usuario = null, $senha = null, $idPerfilAlvo = null, $idGrupoAlvo = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdPerfilAlvo($idPerfilAlvo)
            ->setIdGrupoAlvo($idGrupoAlvo);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\AssociarPerfilAlvosGrupo
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\AssociarPerfilAlvosGrupo
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdPerfilAlvo value
     * @return int|null
     */
    public function getIdPerfilAlvo()
    {
        return $this->IdPerfilAlvo;
    }
    /**
     * Set IdPerfilAlvo value
     * @param int $idPerfilAlvo
     * @return \StructType\AssociarPerfilAlvosGrupo
     */
    public function setIdPerfilAlvo($idPerfilAlvo = null)
    {
        // validation for constraint: int
        if (!is_null($idPerfilAlvo) && !(is_int($idPerfilAlvo) || ctype_digit($idPerfilAlvo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPerfilAlvo, true), gettype($idPerfilAlvo)), __LINE__);
        }
        $this->IdPerfilAlvo = $idPerfilAlvo;
        return $this;
    }
    /**
     * Get IdGrupoAlvo value
     * @return int|null
     */
    public function getIdGrupoAlvo()
    {
        return $this->IdGrupoAlvo;
    }
    /**
     * Set IdGrupoAlvo value
     * @param int $idGrupoAlvo
     * @return \StructType\AssociarPerfilAlvosGrupo
     */
    public function setIdGrupoAlvo($idGrupoAlvo = null)
    {
        // validation for constraint: int
        if (!is_null($idGrupoAlvo) && !(is_int($idGrupoAlvo) || ctype_digit($idGrupoAlvo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idGrupoAlvo, true), gettype($idGrupoAlvo)), __LINE__);
        }
        $this->IdGrupoAlvo = $idGrupoAlvo;
        return $this;
    }
}
