<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CadastrarPontoDeReferencia StructType
 * Meta information extracted from the WSDL
 * - type: tns:CadastrarPontoDeReferencia
 * @subpackage Structs
 */
class CadastrarPontoDeReferencia extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdClasse
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdClasse;
    /**
     * The Nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Nome;
    /**
     * The Logradouro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Logradouro;
    /**
     * The Numero
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Numero;
    /**
     * The Complemento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Complemento;
    /**
     * The Bairro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Bairro;
    /**
     * The Cidade
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Cidade;
    /**
     * The UF
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $UF;
    /**
     * The Fone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Fone;
    /**
     * The CEP
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $CEP;
    /**
     * The Latitude
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Latitude;
    /**
     * The Longitude
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $Longitude;
    /**
     * The Observacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Observacao;
    /**
     * Constructor method for CadastrarPontoDeReferencia
     * @uses CadastrarPontoDeReferencia::setUsuario()
     * @uses CadastrarPontoDeReferencia::setSenha()
     * @uses CadastrarPontoDeReferencia::setIdClasse()
     * @uses CadastrarPontoDeReferencia::setNome()
     * @uses CadastrarPontoDeReferencia::setLogradouro()
     * @uses CadastrarPontoDeReferencia::setNumero()
     * @uses CadastrarPontoDeReferencia::setComplemento()
     * @uses CadastrarPontoDeReferencia::setBairro()
     * @uses CadastrarPontoDeReferencia::setCidade()
     * @uses CadastrarPontoDeReferencia::setUF()
     * @uses CadastrarPontoDeReferencia::setFone()
     * @uses CadastrarPontoDeReferencia::setCEP()
     * @uses CadastrarPontoDeReferencia::setLatitude()
     * @uses CadastrarPontoDeReferencia::setLongitude()
     * @uses CadastrarPontoDeReferencia::setObservacao()
     * @param string $usuario
     * @param string $senha
     * @param int $idClasse
     * @param string $nome
     * @param string $logradouro
     * @param int $numero
     * @param string $complemento
     * @param string $bairro
     * @param string $cidade
     * @param string $uF
     * @param string $fone
     * @param string $cEP
     * @param float $latitude
     * @param float $longitude
     * @param string $observacao
     */
    public function __construct($usuario = null, $senha = null, $idClasse = null, $nome = null, $logradouro = null, $numero = null, $complemento = null, $bairro = null, $cidade = null, $uF = null, $fone = null, $cEP = null, $latitude = null, $longitude = null, $observacao = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdClasse($idClasse)
            ->setNome($nome)
            ->setLogradouro($logradouro)
            ->setNumero($numero)
            ->setComplemento($complemento)
            ->setBairro($bairro)
            ->setCidade($cidade)
            ->setUF($uF)
            ->setFone($fone)
            ->setCEP($cEP)
            ->setLatitude($latitude)
            ->setLongitude($longitude)
            ->setObservacao($observacao);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdClasse value
     * @return int|null
     */
    public function getIdClasse()
    {
        return $this->IdClasse;
    }
    /**
     * Set IdClasse value
     * @param int $idClasse
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setIdClasse($idClasse = null)
    {
        // validation for constraint: int
        if (!is_null($idClasse) && !(is_int($idClasse) || ctype_digit($idClasse))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idClasse, true), gettype($idClasse)), __LINE__);
        }
        $this->IdClasse = $idClasse;
        return $this;
    }
    /**
     * Get Nome value
     * @return string|null
     */
    public function getNome()
    {
        return $this->Nome;
    }
    /**
     * Set Nome value
     * @param string $nome
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        $this->Nome = $nome;
        return $this;
    }
    /**
     * Get Logradouro value
     * @return string|null
     */
    public function getLogradouro()
    {
        return $this->Logradouro;
    }
    /**
     * Set Logradouro value
     * @param string $logradouro
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setLogradouro($logradouro = null)
    {
        // validation for constraint: string
        if (!is_null($logradouro) && !is_string($logradouro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logradouro, true), gettype($logradouro)), __LINE__);
        }
        $this->Logradouro = $logradouro;
        return $this;
    }
    /**
     * Get Numero value
     * @return int|null
     */
    public function getNumero()
    {
        return $this->Numero;
    }
    /**
     * Set Numero value
     * @param int $numero
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setNumero($numero = null)
    {
        // validation for constraint: int
        if (!is_null($numero) && !(is_int($numero) || ctype_digit($numero))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numero, true), gettype($numero)), __LINE__);
        }
        $this->Numero = $numero;
        return $this;
    }
    /**
     * Get Complemento value
     * @return string|null
     */
    public function getComplemento()
    {
        return $this->Complemento;
    }
    /**
     * Set Complemento value
     * @param string $complemento
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setComplemento($complemento = null)
    {
        // validation for constraint: string
        if (!is_null($complemento) && !is_string($complemento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($complemento, true), gettype($complemento)), __LINE__);
        }
        $this->Complemento = $complemento;
        return $this;
    }
    /**
     * Get Bairro value
     * @return string|null
     */
    public function getBairro()
    {
        return $this->Bairro;
    }
    /**
     * Set Bairro value
     * @param string $bairro
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setBairro($bairro = null)
    {
        // validation for constraint: string
        if (!is_null($bairro) && !is_string($bairro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bairro, true), gettype($bairro)), __LINE__);
        }
        $this->Bairro = $bairro;
        return $this;
    }
    /**
     * Get Cidade value
     * @return string|null
     */
    public function getCidade()
    {
        return $this->Cidade;
    }
    /**
     * Set Cidade value
     * @param string $cidade
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setCidade($cidade = null)
    {
        // validation for constraint: string
        if (!is_null($cidade) && !is_string($cidade)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cidade, true), gettype($cidade)), __LINE__);
        }
        $this->Cidade = $cidade;
        return $this;
    }
    /**
     * Get UF value
     * @return string|null
     */
    public function getUF()
    {
        return $this->UF;
    }
    /**
     * Set UF value
     * @param string $uF
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setUF($uF = null)
    {
        // validation for constraint: string
        if (!is_null($uF) && !is_string($uF)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uF, true), gettype($uF)), __LINE__);
        }
        $this->UF = $uF;
        return $this;
    }
    /**
     * Get Fone value
     * @return string|null
     */
    public function getFone()
    {
        return $this->Fone;
    }
    /**
     * Set Fone value
     * @param string $fone
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setFone($fone = null)
    {
        // validation for constraint: string
        if (!is_null($fone) && !is_string($fone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fone, true), gettype($fone)), __LINE__);
        }
        $this->Fone = $fone;
        return $this;
    }
    /**
     * Get CEP value
     * @return string|null
     */
    public function getCEP()
    {
        return $this->CEP;
    }
    /**
     * Set CEP value
     * @param string $cEP
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setCEP($cEP = null)
    {
        // validation for constraint: string
        if (!is_null($cEP) && !is_string($cEP)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cEP, true), gettype($cEP)), __LINE__);
        }
        $this->CEP = $cEP;
        return $this;
    }
    /**
     * Get Latitude value
     * @return float|null
     */
    public function getLatitude()
    {
        return $this->Latitude;
    }
    /**
     * Set Latitude value
     * @param float $latitude
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setLatitude($latitude = null)
    {
        // validation for constraint: float
        if (!is_null($latitude) && !(is_float($latitude) || is_numeric($latitude))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($latitude, true), gettype($latitude)), __LINE__);
        }
        $this->Latitude = $latitude;
        return $this;
    }
    /**
     * Get Longitude value
     * @return float|null
     */
    public function getLongitude()
    {
        return $this->Longitude;
    }
    /**
     * Set Longitude value
     * @param float $longitude
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setLongitude($longitude = null)
    {
        // validation for constraint: float
        if (!is_null($longitude) && !(is_float($longitude) || is_numeric($longitude))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($longitude, true), gettype($longitude)), __LINE__);
        }
        $this->Longitude = $longitude;
        return $this;
    }
    /**
     * Get Observacao value
     * @return string|null
     */
    public function getObservacao()
    {
        return $this->Observacao;
    }
    /**
     * Set Observacao value
     * @param string $observacao
     * @return \StructType\CadastrarPontoDeReferencia
     */
    public function setObservacao($observacao = null)
    {
        // validation for constraint: string
        if (!is_null($observacao) && !is_string($observacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($observacao, true), gettype($observacao)), __LINE__);
        }
        $this->Observacao = $observacao;
        return $this;
    }
}
