<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CriarCfgIntervaloPosicaoAutomatica StructType
 * Meta information extracted from the WSDL
 * - type: tns:CriarCfgIntervaloPosicaoAutomatica
 * @subpackage Structs
 */
class CriarCfgIntervaloPosicaoAutomatica extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdTErminal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdTErminal;
    /**
     * The Celular
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Celular;
    /**
     * The Satelite
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Satelite;
    /**
     * The IntervaloTempSatelite
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IntervaloTempSatelite;
    /**
     * The PeriodoTempSatelite
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $PeriodoTempSatelite;
    /**
     * Constructor method for CriarCfgIntervaloPosicaoAutomatica
     * @uses CriarCfgIntervaloPosicaoAutomatica::setUsuario()
     * @uses CriarCfgIntervaloPosicaoAutomatica::setSenha()
     * @uses CriarCfgIntervaloPosicaoAutomatica::setIdTErminal()
     * @uses CriarCfgIntervaloPosicaoAutomatica::setCelular()
     * @uses CriarCfgIntervaloPosicaoAutomatica::setSatelite()
     * @uses CriarCfgIntervaloPosicaoAutomatica::setIntervaloTempSatelite()
     * @uses CriarCfgIntervaloPosicaoAutomatica::setPeriodoTempSatelite()
     * @param string $usuario
     * @param string $senha
     * @param int $idTErminal
     * @param int $celular
     * @param int $satelite
     * @param int $intervaloTempSatelite
     * @param int $periodoTempSatelite
     */
    public function __construct($usuario = null, $senha = null, $idTErminal = null, $celular = null, $satelite = null, $intervaloTempSatelite = null, $periodoTempSatelite = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdTErminal($idTErminal)
            ->setCelular($celular)
            ->setSatelite($satelite)
            ->setIntervaloTempSatelite($intervaloTempSatelite)
            ->setPeriodoTempSatelite($periodoTempSatelite);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\CriarCfgIntervaloPosicaoAutomatica
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\CriarCfgIntervaloPosicaoAutomatica
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdTErminal value
     * @return int|null
     */
    public function getIdTErminal()
    {
        return $this->IdTErminal;
    }
    /**
     * Set IdTErminal value
     * @param int $idTErminal
     * @return \StructType\CriarCfgIntervaloPosicaoAutomatica
     */
    public function setIdTErminal($idTErminal = null)
    {
        // validation for constraint: int
        if (!is_null($idTErminal) && !(is_int($idTErminal) || ctype_digit($idTErminal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTErminal, true), gettype($idTErminal)), __LINE__);
        }
        $this->IdTErminal = $idTErminal;
        return $this;
    }
    /**
     * Get Celular value
     * @return int|null
     */
    public function getCelular()
    {
        return $this->Celular;
    }
    /**
     * Set Celular value
     * @param int $celular
     * @return \StructType\CriarCfgIntervaloPosicaoAutomatica
     */
    public function setCelular($celular = null)
    {
        // validation for constraint: int
        if (!is_null($celular) && !(is_int($celular) || ctype_digit($celular))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($celular, true), gettype($celular)), __LINE__);
        }
        $this->Celular = $celular;
        return $this;
    }
    /**
     * Get Satelite value
     * @return int|null
     */
    public function getSatelite()
    {
        return $this->Satelite;
    }
    /**
     * Set Satelite value
     * @param int $satelite
     * @return \StructType\CriarCfgIntervaloPosicaoAutomatica
     */
    public function setSatelite($satelite = null)
    {
        // validation for constraint: int
        if (!is_null($satelite) && !(is_int($satelite) || ctype_digit($satelite))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($satelite, true), gettype($satelite)), __LINE__);
        }
        $this->Satelite = $satelite;
        return $this;
    }
    /**
     * Get IntervaloTempSatelite value
     * @return int|null
     */
    public function getIntervaloTempSatelite()
    {
        return $this->IntervaloTempSatelite;
    }
    /**
     * Set IntervaloTempSatelite value
     * @param int $intervaloTempSatelite
     * @return \StructType\CriarCfgIntervaloPosicaoAutomatica
     */
    public function setIntervaloTempSatelite($intervaloTempSatelite = null)
    {
        // validation for constraint: int
        if (!is_null($intervaloTempSatelite) && !(is_int($intervaloTempSatelite) || ctype_digit($intervaloTempSatelite))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($intervaloTempSatelite, true), gettype($intervaloTempSatelite)), __LINE__);
        }
        $this->IntervaloTempSatelite = $intervaloTempSatelite;
        return $this;
    }
    /**
     * Get PeriodoTempSatelite value
     * @return int|null
     */
    public function getPeriodoTempSatelite()
    {
        return $this->PeriodoTempSatelite;
    }
    /**
     * Set PeriodoTempSatelite value
     * @param int $periodoTempSatelite
     * @return \StructType\CriarCfgIntervaloPosicaoAutomatica
     */
    public function setPeriodoTempSatelite($periodoTempSatelite = null)
    {
        // validation for constraint: int
        if (!is_null($periodoTempSatelite) && !(is_int($periodoTempSatelite) || ctype_digit($periodoTempSatelite))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($periodoTempSatelite, true), gettype($periodoTempSatelite)), __LINE__);
        }
        $this->PeriodoTempSatelite = $periodoTempSatelite;
        return $this;
    }
}
