<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CriarTesteComunicacao StructType
 * Meta information extracted from the WSDL
 * - type: tns:CriarTesteComunicacao
 * @subpackage Structs
 */
class CriarTesteComunicacao extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdTerminal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdTerminal;
    /**
     * The TesteCel1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TesteCel1;
    /**
     * The TesteCel2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TesteCel2;
    /**
     * The TesteSat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TesteSat;
    /**
     * Constructor method for CriarTesteComunicacao
     * @uses CriarTesteComunicacao::setUsuario()
     * @uses CriarTesteComunicacao::setSenha()
     * @uses CriarTesteComunicacao::setIdTerminal()
     * @uses CriarTesteComunicacao::setTesteCel1()
     * @uses CriarTesteComunicacao::setTesteCel2()
     * @uses CriarTesteComunicacao::setTesteSat()
     * @param string $usuario
     * @param string $senha
     * @param int $idTerminal
     * @param int $testeCel1
     * @param int $testeCel2
     * @param int $testeSat
     */
    public function __construct($usuario = null, $senha = null, $idTerminal = null, $testeCel1 = null, $testeCel2 = null, $testeSat = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdTerminal($idTerminal)
            ->setTesteCel1($testeCel1)
            ->setTesteCel2($testeCel2)
            ->setTesteSat($testeSat);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\CriarTesteComunicacao
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\CriarTesteComunicacao
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdTerminal value
     * @return int|null
     */
    public function getIdTerminal()
    {
        return $this->IdTerminal;
    }
    /**
     * Set IdTerminal value
     * @param int $idTerminal
     * @return \StructType\CriarTesteComunicacao
     */
    public function setIdTerminal($idTerminal = null)
    {
        // validation for constraint: int
        if (!is_null($idTerminal) && !(is_int($idTerminal) || ctype_digit($idTerminal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTerminal, true), gettype($idTerminal)), __LINE__);
        }
        $this->IdTerminal = $idTerminal;
        return $this;
    }
    /**
     * Get TesteCel1 value
     * @return int|null
     */
    public function getTesteCel1()
    {
        return $this->TesteCel1;
    }
    /**
     * Set TesteCel1 value
     * @param int $testeCel1
     * @return \StructType\CriarTesteComunicacao
     */
    public function setTesteCel1($testeCel1 = null)
    {
        // validation for constraint: int
        if (!is_null($testeCel1) && !(is_int($testeCel1) || ctype_digit($testeCel1))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($testeCel1, true), gettype($testeCel1)), __LINE__);
        }
        $this->TesteCel1 = $testeCel1;
        return $this;
    }
    /**
     * Get TesteCel2 value
     * @return int|null
     */
    public function getTesteCel2()
    {
        return $this->TesteCel2;
    }
    /**
     * Set TesteCel2 value
     * @param int $testeCel2
     * @return \StructType\CriarTesteComunicacao
     */
    public function setTesteCel2($testeCel2 = null)
    {
        // validation for constraint: int
        if (!is_null($testeCel2) && !(is_int($testeCel2) || ctype_digit($testeCel2))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($testeCel2, true), gettype($testeCel2)), __LINE__);
        }
        $this->TesteCel2 = $testeCel2;
        return $this;
    }
    /**
     * Get TesteSat value
     * @return int|null
     */
    public function getTesteSat()
    {
        return $this->TesteSat;
    }
    /**
     * Set TesteSat value
     * @param int $testeSat
     * @return \StructType\CriarTesteComunicacao
     */
    public function setTesteSat($testeSat = null)
    {
        // validation for constraint: int
        if (!is_null($testeSat) && !(is_int($testeSat) || ctype_digit($testeSat))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($testeSat, true), gettype($testeSat)), __LINE__);
        }
        $this->TesteSat = $testeSat;
        return $this;
    }
}
