<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EnviarComandoIbuttonConfiguraLiberacaoMotorista StructType
 * Meta information extracted from the WSDL
 * - type: tns:EnviarComandoIbuttonConfiguraLiberacaoMotorista
 * @subpackage Structs
 */
class EnviarComandoIbuttonConfiguraLiberacaoMotorista extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The idTerminal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $idTerminal;
    /**
     * The liberaMotorista
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $liberaMotorista;
    /**
     * Constructor method for EnviarComandoIbuttonConfiguraLiberacaoMotorista
     * @uses EnviarComandoIbuttonConfiguraLiberacaoMotorista::setUsuario()
     * @uses EnviarComandoIbuttonConfiguraLiberacaoMotorista::setSenha()
     * @uses EnviarComandoIbuttonConfiguraLiberacaoMotorista::setIdTerminal()
     * @uses EnviarComandoIbuttonConfiguraLiberacaoMotorista::setLiberaMotorista()
     * @param string $usuario
     * @param string $senha
     * @param string $idTerminal
     * @param int $liberaMotorista
     */
    public function __construct($usuario = null, $senha = null, $idTerminal = null, $liberaMotorista = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdTerminal($idTerminal)
            ->setLiberaMotorista($liberaMotorista);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\EnviarComandoIbuttonConfiguraLiberacaoMotorista
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\EnviarComandoIbuttonConfiguraLiberacaoMotorista
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get idTerminal value
     * @return string|null
     */
    public function getIdTerminal()
    {
        return $this->idTerminal;
    }
    /**
     * Set idTerminal value
     * @param string $idTerminal
     * @return \StructType\EnviarComandoIbuttonConfiguraLiberacaoMotorista
     */
    public function setIdTerminal($idTerminal = null)
    {
        // validation for constraint: string
        if (!is_null($idTerminal) && !is_string($idTerminal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idTerminal, true), gettype($idTerminal)), __LINE__);
        }
        $this->idTerminal = $idTerminal;
        return $this;
    }
    /**
     * Get liberaMotorista value
     * @return int|null
     */
    public function getLiberaMotorista()
    {
        return $this->liberaMotorista;
    }
    /**
     * Set liberaMotorista value
     * @param int $liberaMotorista
     * @return \StructType\EnviarComandoIbuttonConfiguraLiberacaoMotorista
     */
    public function setLiberaMotorista($liberaMotorista = null)
    {
        // validation for constraint: int
        if (!is_null($liberaMotorista) && !(is_int($liberaMotorista) || ctype_digit($liberaMotorista))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($liberaMotorista, true), gettype($liberaMotorista)), __LINE__);
        }
        $this->liberaMotorista = $liberaMotorista;
        return $this;
    }
}
