<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExcluirCercaDeGrupo StructType
 * Meta information extracted from the WSDL
 * - type: tns:ExcluirCercaDeGrupo
 * @subpackage Structs
 */
class ExcluirCercaDeGrupo extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The idGrupoCerca
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idGrupoCerca;
    /**
     * The NomeCerca
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $NomeCerca;
    /**
     * Constructor method for ExcluirCercaDeGrupo
     * @uses ExcluirCercaDeGrupo::setUsuario()
     * @uses ExcluirCercaDeGrupo::setSenha()
     * @uses ExcluirCercaDeGrupo::setIdGrupoCerca()
     * @uses ExcluirCercaDeGrupo::setNomeCerca()
     * @param string $usuario
     * @param string $senha
     * @param int $idGrupoCerca
     * @param string $nomeCerca
     */
    public function __construct($usuario = null, $senha = null, $idGrupoCerca = null, $nomeCerca = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdGrupoCerca($idGrupoCerca)
            ->setNomeCerca($nomeCerca);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ExcluirCercaDeGrupo
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ExcluirCercaDeGrupo
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get idGrupoCerca value
     * @return int|null
     */
    public function getIdGrupoCerca()
    {
        return $this->idGrupoCerca;
    }
    /**
     * Set idGrupoCerca value
     * @param int $idGrupoCerca
     * @return \StructType\ExcluirCercaDeGrupo
     */
    public function setIdGrupoCerca($idGrupoCerca = null)
    {
        // validation for constraint: int
        if (!is_null($idGrupoCerca) && !(is_int($idGrupoCerca) || ctype_digit($idGrupoCerca))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idGrupoCerca, true), gettype($idGrupoCerca)), __LINE__);
        }
        $this->idGrupoCerca = $idGrupoCerca;
        return $this;
    }
    /**
     * Get NomeCerca value
     * @return string|null
     */
    public function getNomeCerca()
    {
        return $this->NomeCerca;
    }
    /**
     * Set NomeCerca value
     * @param string $nomeCerca
     * @return \StructType\ExcluirCercaDeGrupo
     */
    public function setNomeCerca($nomeCerca = null)
    {
        // validation for constraint: string
        if (!is_null($nomeCerca) && !is_string($nomeCerca)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeCerca, true), gettype($nomeCerca)), __LINE__);
        }
        $this->NomeCerca = $nomeCerca;
        return $this;
    }
}
