<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExcluirGrupoMensagemFormatada StructType
 * Meta information extracted from the WSDL
 * - type: tns:ExcluirGrupoMensagemFormatada
 * @subpackage Structs
 */
class ExcluirGrupoMensagemFormatada extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdGrupo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdGrupo;
    /**
     * Constructor method for ExcluirGrupoMensagemFormatada
     * @uses ExcluirGrupoMensagemFormatada::setUsuario()
     * @uses ExcluirGrupoMensagemFormatada::setSenha()
     * @uses ExcluirGrupoMensagemFormatada::setIdGrupo()
     * @param string $usuario
     * @param string $senha
     * @param int $idGrupo
     */
    public function __construct($usuario = null, $senha = null, $idGrupo = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdGrupo($idGrupo);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ExcluirGrupoMensagemFormatada
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ExcluirGrupoMensagemFormatada
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdGrupo value
     * @return int|null
     */
    public function getIdGrupo()
    {
        return $this->IdGrupo;
    }
    /**
     * Set IdGrupo value
     * @param int $idGrupo
     * @return \StructType\ExcluirGrupoMensagemFormatada
     */
    public function setIdGrupo($idGrupo = null)
    {
        // validation for constraint: int
        if (!is_null($idGrupo) && !(is_int($idGrupo) || ctype_digit($idGrupo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idGrupo, true), gettype($idGrupo)), __LINE__);
        }
        $this->IdGrupo = $idGrupo;
        return $this;
    }
}
