<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExcluirMensagemFormatada StructType
 * Meta information extracted from the WSDL
 * - type: tns:ExcluirMensagemFormatada
 * @subpackage Structs
 */
class ExcluirMensagemFormatada extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The idMacro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idMacro;
    /**
     * Constructor method for ExcluirMensagemFormatada
     * @uses ExcluirMensagemFormatada::setUsuario()
     * @uses ExcluirMensagemFormatada::setSenha()
     * @uses ExcluirMensagemFormatada::setIdMacro()
     * @param string $usuario
     * @param string $senha
     * @param int $idMacro
     */
    public function __construct($usuario = null, $senha = null, $idMacro = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdMacro($idMacro);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ExcluirMensagemFormatada
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ExcluirMensagemFormatada
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get idMacro value
     * @return int|null
     */
    public function getIdMacro()
    {
        return $this->idMacro;
    }
    /**
     * Set idMacro value
     * @param int $idMacro
     * @return \StructType\ExcluirMensagemFormatada
     */
    public function setIdMacro($idMacro = null)
    {
        // validation for constraint: int
        if (!is_null($idMacro) && !(is_int($idMacro) || ctype_digit($idMacro))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idMacro, true), gettype($idMacro)), __LINE__);
        }
        $this->idMacro = $idMacro;
        return $this;
    }
}
