<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExcluirModTransicao StructType
 * Meta information extracted from the WSDL
 * - type: tns:ExcluirModTransicao
 * @subpackage Structs
 */
class ExcluirModTransicao extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdModTransicao
     * @var int
     */
    public $IdModTransicao;
    /**
     * Constructor method for ExcluirModTransicao
     * @uses ExcluirModTransicao::setUsuario()
     * @uses ExcluirModTransicao::setSenha()
     * @uses ExcluirModTransicao::setIdModTransicao()
     * @param string $usuario
     * @param string $senha
     * @param int $idModTransicao
     */
    public function __construct($usuario = null, $senha = null, $idModTransicao = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdModTransicao($idModTransicao);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ExcluirModTransicao
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ExcluirModTransicao
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdModTransicao value
     * @return int|null
     */
    public function getIdModTransicao()
    {
        return $this->IdModTransicao;
    }
    /**
     * Set IdModTransicao value
     * @param int $idModTransicao
     * @return \StructType\ExcluirModTransicao
     */
    public function setIdModTransicao($idModTransicao = null)
    {
        // validation for constraint: int
        if (!is_null($idModTransicao) && !(is_int($idModTransicao) || ctype_digit($idModTransicao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idModTransicao, true), gettype($idModTransicao)), __LINE__);
        }
        $this->IdModTransicao = $idModTransicao;
        return $this;
    }
}
