<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExcluirRotaDeGrupo StructType
 * Meta information extracted from the WSDL
 * - type: tns:ExcluirRotaDeGrupo
 * @subpackage Structs
 */
class ExcluirRotaDeGrupo extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The idGrupoRota
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idGrupoRota;
    /**
     * The NomeRota
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $NomeRota;
    /**
     * Constructor method for ExcluirRotaDeGrupo
     * @uses ExcluirRotaDeGrupo::setUsuario()
     * @uses ExcluirRotaDeGrupo::setSenha()
     * @uses ExcluirRotaDeGrupo::setIdGrupoRota()
     * @uses ExcluirRotaDeGrupo::setNomeRota()
     * @param string $usuario
     * @param string $senha
     * @param int $idGrupoRota
     * @param string $nomeRota
     */
    public function __construct($usuario = null, $senha = null, $idGrupoRota = null, $nomeRota = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdGrupoRota($idGrupoRota)
            ->setNomeRota($nomeRota);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ExcluirRotaDeGrupo
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ExcluirRotaDeGrupo
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get idGrupoRota value
     * @return int|null
     */
    public function getIdGrupoRota()
    {
        return $this->idGrupoRota;
    }
    /**
     * Set idGrupoRota value
     * @param int $idGrupoRota
     * @return \StructType\ExcluirRotaDeGrupo
     */
    public function setIdGrupoRota($idGrupoRota = null)
    {
        // validation for constraint: int
        if (!is_null($idGrupoRota) && !(is_int($idGrupoRota) || ctype_digit($idGrupoRota))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idGrupoRota, true), gettype($idGrupoRota)), __LINE__);
        }
        $this->idGrupoRota = $idGrupoRota;
        return $this;
    }
    /**
     * Get NomeRota value
     * @return string|null
     */
    public function getNomeRota()
    {
        return $this->NomeRota;
    }
    /**
     * Set NomeRota value
     * @param string $nomeRota
     * @return \StructType\ExcluirRotaDeGrupo
     */
    public function setNomeRota($nomeRota = null)
    {
        // validation for constraint: string
        if (!is_null($nomeRota) && !is_string($nomeRota)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeRota, true), gettype($nomeRota)), __LINE__);
        }
        $this->NomeRota = $nomeRota;
        return $this;
    }
}
