<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LiberarQuintaRoda StructType
 * Meta information extracted from the WSDL
 * - type: tns:LiberarQuintaRoda
 * @subpackage Structs
 */
class LiberarQuintaRoda extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdVeiculo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $IdVeiculo;
    /**
     * Constructor method for LiberarQuintaRoda
     * @uses LiberarQuintaRoda::setUsuario()
     * @uses LiberarQuintaRoda::setSenha()
     * @uses LiberarQuintaRoda::setIdVeiculo()
     * @param string $usuario
     * @param string $senha
     * @param string $idVeiculo
     */
    public function __construct($usuario = null, $senha = null, $idVeiculo = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdVeiculo($idVeiculo);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\LiberarQuintaRoda
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\LiberarQuintaRoda
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdVeiculo value
     * @return string|null
     */
    public function getIdVeiculo()
    {
        return $this->IdVeiculo;
    }
    /**
     * Set IdVeiculo value
     * @param string $idVeiculo
     * @return \StructType\LiberarQuintaRoda
     */
    public function setIdVeiculo($idVeiculo = null)
    {
        // validation for constraint: string
        if (!is_null($idVeiculo) && !is_string($idVeiculo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($idVeiculo, true), gettype($idVeiculo)), __LINE__);
        }
        $this->IdVeiculo = $idVeiculo;
        return $this;
    }
}
