<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarAlvos StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarAlvos
 * @subpackage Structs
 */
class ListarAlvos extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The NomeGrupoAlvo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $NomeGrupoAlvo;
    /**
     * Constructor method for ListarAlvos
     * @uses ListarAlvos::setUsuario()
     * @uses ListarAlvos::setSenha()
     * @uses ListarAlvos::setNomeGrupoAlvo()
     * @param string $usuario
     * @param string $senha
     * @param string $nomeGrupoAlvo
     */
    public function __construct($usuario = null, $senha = null, $nomeGrupoAlvo = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setNomeGrupoAlvo($nomeGrupoAlvo);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarAlvos
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarAlvos
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get NomeGrupoAlvo value
     * @return string|null
     */
    public function getNomeGrupoAlvo()
    {
        return $this->NomeGrupoAlvo;
    }
    /**
     * Set NomeGrupoAlvo value
     * @param string $nomeGrupoAlvo
     * @return \StructType\ListarAlvos
     */
    public function setNomeGrupoAlvo($nomeGrupoAlvo = null)
    {
        // validation for constraint: string
        if (!is_null($nomeGrupoAlvo) && !is_string($nomeGrupoAlvo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeGrupoAlvo, true), gettype($nomeGrupoAlvo)), __LINE__);
        }
        $this->NomeGrupoAlvo = $nomeGrupoAlvo;
        return $this;
    }
}
