<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarAlvosIndexados StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarAlvosIndexados
 * @subpackage Structs
 */
class ListarAlvosIndexados extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The NomeGrupoAlvo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $NomeGrupoAlvo;
    /**
     * The Index
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Index;
    /**
     * The QtdRetorno
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $QtdRetorno;
    /**
     * Constructor method for ListarAlvosIndexados
     * @uses ListarAlvosIndexados::setUsuario()
     * @uses ListarAlvosIndexados::setSenha()
     * @uses ListarAlvosIndexados::setNomeGrupoAlvo()
     * @uses ListarAlvosIndexados::setIndex()
     * @uses ListarAlvosIndexados::setQtdRetorno()
     * @param string $usuario
     * @param string $senha
     * @param string $nomeGrupoAlvo
     * @param int $index
     * @param int $qtdRetorno
     */
    public function __construct($usuario = null, $senha = null, $nomeGrupoAlvo = null, $index = null, $qtdRetorno = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setNomeGrupoAlvo($nomeGrupoAlvo)
            ->setIndex($index)
            ->setQtdRetorno($qtdRetorno);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarAlvosIndexados
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarAlvosIndexados
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get NomeGrupoAlvo value
     * @return string|null
     */
    public function getNomeGrupoAlvo()
    {
        return $this->NomeGrupoAlvo;
    }
    /**
     * Set NomeGrupoAlvo value
     * @param string $nomeGrupoAlvo
     * @return \StructType\ListarAlvosIndexados
     */
    public function setNomeGrupoAlvo($nomeGrupoAlvo = null)
    {
        // validation for constraint: string
        if (!is_null($nomeGrupoAlvo) && !is_string($nomeGrupoAlvo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeGrupoAlvo, true), gettype($nomeGrupoAlvo)), __LINE__);
        }
        $this->NomeGrupoAlvo = $nomeGrupoAlvo;
        return $this;
    }
    /**
     * Get Index value
     * @return int|null
     */
    public function getIndex()
    {
        return $this->Index;
    }
    /**
     * Set Index value
     * @param int $index
     * @return \StructType\ListarAlvosIndexados
     */
    public function setIndex($index = null)
    {
        // validation for constraint: int
        if (!is_null($index) && !(is_int($index) || ctype_digit($index))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($index, true), gettype($index)), __LINE__);
        }
        $this->Index = $index;
        return $this;
    }
    /**
     * Get QtdRetorno value
     * @return int|null
     */
    public function getQtdRetorno()
    {
        return $this->QtdRetorno;
    }
    /**
     * Set QtdRetorno value
     * @param int $qtdRetorno
     * @return \StructType\ListarAlvosIndexados
     */
    public function setQtdRetorno($qtdRetorno = null)
    {
        // validation for constraint: int
        if (!is_null($qtdRetorno) && !(is_int($qtdRetorno) || ctype_digit($qtdRetorno))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($qtdRetorno, true), gettype($qtdRetorno)), __LINE__);
        }
        $this->QtdRetorno = $qtdRetorno;
        return $this;
    }
}
