<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarCidadesDoEstado StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarCidadesDoEstado
 * @subpackage Structs
 */
class ListarCidadesDoEstado extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The SiglaEstado
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $SiglaEstado;
    /**
     * Constructor method for ListarCidadesDoEstado
     * @uses ListarCidadesDoEstado::setUsuario()
     * @uses ListarCidadesDoEstado::setSenha()
     * @uses ListarCidadesDoEstado::setSiglaEstado()
     * @param string $usuario
     * @param string $senha
     * @param string $siglaEstado
     */
    public function __construct($usuario = null, $senha = null, $siglaEstado = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setSiglaEstado($siglaEstado);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarCidadesDoEstado
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarCidadesDoEstado
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get SiglaEstado value
     * @return string|null
     */
    public function getSiglaEstado()
    {
        return $this->SiglaEstado;
    }
    /**
     * Set SiglaEstado value
     * @param string $siglaEstado
     * @return \StructType\ListarCidadesDoEstado
     */
    public function setSiglaEstado($siglaEstado = null)
    {
        // validation for constraint: string
        if (!is_null($siglaEstado) && !is_string($siglaEstado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($siglaEstado, true), gettype($siglaEstado)), __LINE__);
        }
        $this->SiglaEstado = $siglaEstado;
        return $this;
    }
}
