<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarHistoricoTransmissao StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarHistoricoTransmissao
 * @subpackage Structs
 */
class ListarHistoricoTransmissao extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The DataHoraInicial
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DataHoraInicial;
    /**
     * The DataHoraFinal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DataHoraFinal;
    /**
     * Constructor method for ListarHistoricoTransmissao
     * @uses ListarHistoricoTransmissao::setUsuario()
     * @uses ListarHistoricoTransmissao::setSenha()
     * @uses ListarHistoricoTransmissao::setDataHoraInicial()
     * @uses ListarHistoricoTransmissao::setDataHoraFinal()
     * @param string $usuario
     * @param string $senha
     * @param string $dataHoraInicial
     * @param string $dataHoraFinal
     */
    public function __construct($usuario = null, $senha = null, $dataHoraInicial = null, $dataHoraFinal = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setDataHoraInicial($dataHoraInicial)
            ->setDataHoraFinal($dataHoraFinal);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarHistoricoTransmissao
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarHistoricoTransmissao
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get DataHoraInicial value
     * @return string|null
     */
    public function getDataHoraInicial()
    {
        return $this->DataHoraInicial;
    }
    /**
     * Set DataHoraInicial value
     * @param string $dataHoraInicial
     * @return \StructType\ListarHistoricoTransmissao
     */
    public function setDataHoraInicial($dataHoraInicial = null)
    {
        // validation for constraint: string
        if (!is_null($dataHoraInicial) && !is_string($dataHoraInicial)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataHoraInicial, true), gettype($dataHoraInicial)), __LINE__);
        }
        $this->DataHoraInicial = $dataHoraInicial;
        return $this;
    }
    /**
     * Get DataHoraFinal value
     * @return string|null
     */
    public function getDataHoraFinal()
    {
        return $this->DataHoraFinal;
    }
    /**
     * Set DataHoraFinal value
     * @param string $dataHoraFinal
     * @return \StructType\ListarHistoricoTransmissao
     */
    public function setDataHoraFinal($dataHoraFinal = null)
    {
        // validation for constraint: string
        if (!is_null($dataHoraFinal) && !is_string($dataHoraFinal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataHoraFinal, true), gettype($dataHoraFinal)), __LINE__);
        }
        $this->DataHoraFinal = $dataHoraFinal;
        return $this;
    }
}
