<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarMensagemFormatada StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarMensagemFormatada
 * @subpackage Structs
 */
class ListarMensagemFormatada extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The idMsg
     * @var int
     */
    public $idMsg;
    /**
     * Constructor method for ListarMensagemFormatada
     * @uses ListarMensagemFormatada::setUsuario()
     * @uses ListarMensagemFormatada::setSenha()
     * @uses ListarMensagemFormatada::setIdMsg()
     * @param string $usuario
     * @param string $senha
     * @param int $idMsg
     */
    public function __construct($usuario = null, $senha = null, $idMsg = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdMsg($idMsg);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarMensagemFormatada
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarMensagemFormatada
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get idMsg value
     * @return int|null
     */
    public function getIdMsg()
    {
        return $this->idMsg;
    }
    /**
     * Set idMsg value
     * @param int $idMsg
     * @return \StructType\ListarMensagemFormatada
     */
    public function setIdMsg($idMsg = null)
    {
        // validation for constraint: int
        if (!is_null($idMsg) && !(is_int($idMsg) || ctype_digit($idMsg))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idMsg, true), gettype($idMsg)), __LINE__);
        }
        $this->idMsg = $idMsg;
        return $this;
    }
}
