<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarOcorrencias StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarOcorrencias
 * @subpackage Structs
 */
class ListarOcorrencias extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The Ocorrencia
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Ocorrencia;
    /**
     * Constructor method for ListarOcorrencias
     * @uses ListarOcorrencias::setUsuario()
     * @uses ListarOcorrencias::setSenha()
     * @uses ListarOcorrencias::setOcorrencia()
     * @param string $usuario
     * @param string $senha
     * @param string $ocorrencia
     */
    public function __construct($usuario = null, $senha = null, $ocorrencia = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setOcorrencia($ocorrencia);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarOcorrencias
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarOcorrencias
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get Ocorrencia value
     * @return string|null
     */
    public function getOcorrencia()
    {
        return $this->Ocorrencia;
    }
    /**
     * Set Ocorrencia value
     * @param string $ocorrencia
     * @return \StructType\ListarOcorrencias
     */
    public function setOcorrencia($ocorrencia = null)
    {
        // validation for constraint: string
        if (!is_null($ocorrencia) && !is_string($ocorrencia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ocorrencia, true), gettype($ocorrencia)), __LINE__);
        }
        $this->Ocorrencia = $ocorrencia;
        return $this;
    }
}
