<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarRegra StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarRegra
 * @subpackage Structs
 */
class ListarRegra extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdFuncProg
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdFuncProg;
    /**
     * Constructor method for ListarRegra
     * @uses ListarRegra::setUsuario()
     * @uses ListarRegra::setSenha()
     * @uses ListarRegra::setIdFuncProg()
     * @param string $usuario
     * @param string $senha
     * @param int $idFuncProg
     */
    public function __construct($usuario = null, $senha = null, $idFuncProg = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdFuncProg($idFuncProg);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarRegra
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarRegra
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdFuncProg value
     * @return int|null
     */
    public function getIdFuncProg()
    {
        return $this->IdFuncProg;
    }
    /**
     * Set IdFuncProg value
     * @param int $idFuncProg
     * @return \StructType\ListarRegra
     */
    public function setIdFuncProg($idFuncProg = null)
    {
        // validation for constraint: int
        if (!is_null($idFuncProg) && !(is_int($idFuncProg) || ctype_digit($idFuncProg))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idFuncProg, true), gettype($idFuncProg)), __LINE__);
        }
        $this->IdFuncProg = $idFuncProg;
        return $this;
    }
}
