<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarStatusTransmissaoOperacao StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarStatusTransmissaoOperacao
 * @subpackage Structs
 */
class ListarStatusTransmissaoOperacao extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdOperacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdOperacao;
    /**
     * The IdTransOperacao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdTransOperacao;
    /**
     * Constructor method for ListarStatusTransmissaoOperacao
     * @uses ListarStatusTransmissaoOperacao::setUsuario()
     * @uses ListarStatusTransmissaoOperacao::setSenha()
     * @uses ListarStatusTransmissaoOperacao::setIdOperacao()
     * @uses ListarStatusTransmissaoOperacao::setIdTransOperacao()
     * @param string $usuario
     * @param string $senha
     * @param int $idOperacao
     * @param int $idTransOperacao
     */
    public function __construct($usuario = null, $senha = null, $idOperacao = null, $idTransOperacao = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdOperacao($idOperacao)
            ->setIdTransOperacao($idTransOperacao);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarStatusTransmissaoOperacao
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarStatusTransmissaoOperacao
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdOperacao value
     * @return int|null
     */
    public function getIdOperacao()
    {
        return $this->IdOperacao;
    }
    /**
     * Set IdOperacao value
     * @param int $idOperacao
     * @return \StructType\ListarStatusTransmissaoOperacao
     */
    public function setIdOperacao($idOperacao = null)
    {
        // validation for constraint: int
        if (!is_null($idOperacao) && !(is_int($idOperacao) || ctype_digit($idOperacao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idOperacao, true), gettype($idOperacao)), __LINE__);
        }
        $this->IdOperacao = $idOperacao;
        return $this;
    }
    /**
     * Get IdTransOperacao value
     * @return int|null
     */
    public function getIdTransOperacao()
    {
        return $this->IdTransOperacao;
    }
    /**
     * Set IdTransOperacao value
     * @param int $idTransOperacao
     * @return \StructType\ListarStatusTransmissaoOperacao
     */
    public function setIdTransOperacao($idTransOperacao = null)
    {
        // validation for constraint: int
        if (!is_null($idTransOperacao) && !(is_int($idTransOperacao) || ctype_digit($idTransOperacao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTransOperacao, true), gettype($idTransOperacao)), __LINE__);
        }
        $this->IdTransOperacao = $idTransOperacao;
        return $this;
    }
}
