<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListarTextoTerminalByID StructType
 * Meta information extracted from the WSDL
 * - type: tns:ListarTextoTerminalByID
 * @subpackage Structs
 */
class ListarTextoTerminalByID extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdTextoTerminal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdTextoTerminal;
    /**
     * Constructor method for ListarTextoTerminalByID
     * @uses ListarTextoTerminalByID::setUsuario()
     * @uses ListarTextoTerminalByID::setSenha()
     * @uses ListarTextoTerminalByID::setIdTextoTerminal()
     * @param string $usuario
     * @param string $senha
     * @param int $idTextoTerminal
     */
    public function __construct($usuario = null, $senha = null, $idTextoTerminal = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdTextoTerminal($idTextoTerminal);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\ListarTextoTerminalByID
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\ListarTextoTerminalByID
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdTextoTerminal value
     * @return int|null
     */
    public function getIdTextoTerminal()
    {
        return $this->IdTextoTerminal;
    }
    /**
     * Set IdTextoTerminal value
     * @param int $idTextoTerminal
     * @return \StructType\ListarTextoTerminalByID
     */
    public function setIdTextoTerminal($idTextoTerminal = null)
    {
        // validation for constraint: int
        if (!is_null($idTextoTerminal) && !(is_int($idTextoTerminal) || ctype_digit($idTextoTerminal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTextoTerminal, true), gettype($idTextoTerminal)), __LINE__);
        }
        $this->IdTextoTerminal = $idTextoTerminal;
        return $this;
    }
}
