<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NovoMensagemFormatada StructType
 * Meta information extracted from the WSDL
 * - type: tns:NovoMensagemFormatada
 * @subpackage Structs
 */
class NovoMensagemFormatada extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The Titulo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Titulo;
    /**
     * The Terminal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Terminal;
    /**
     * The idGrupo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idGrupo;
    /**
     * The TE
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TE;
    /**
     * The TC
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TC;
    /**
     * The IdFuncProg
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdFuncProg;
    /**
     * Constructor method for NovoMensagemFormatada
     * @uses NovoMensagemFormatada::setUsuario()
     * @uses NovoMensagemFormatada::setSenha()
     * @uses NovoMensagemFormatada::setTitulo()
     * @uses NovoMensagemFormatada::setTerminal()
     * @uses NovoMensagemFormatada::setIdGrupo()
     * @uses NovoMensagemFormatada::setTE()
     * @uses NovoMensagemFormatada::setTC()
     * @uses NovoMensagemFormatada::setIdFuncProg()
     * @param string $usuario
     * @param string $senha
     * @param string $titulo
     * @param int $terminal
     * @param int $idGrupo
     * @param int $tE
     * @param int $tC
     * @param int $idFuncProg
     */
    public function __construct($usuario = null, $senha = null, $titulo = null, $terminal = null, $idGrupo = null, $tE = null, $tC = null, $idFuncProg = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setTitulo($titulo)
            ->setTerminal($terminal)
            ->setIdGrupo($idGrupo)
            ->setTE($tE)
            ->setTC($tC)
            ->setIdFuncProg($idFuncProg);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\NovoMensagemFormatada
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\NovoMensagemFormatada
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get Titulo value
     * @return string|null
     */
    public function getTitulo()
    {
        return $this->Titulo;
    }
    /**
     * Set Titulo value
     * @param string $titulo
     * @return \StructType\NovoMensagemFormatada
     */
    public function setTitulo($titulo = null)
    {
        // validation for constraint: string
        if (!is_null($titulo) && !is_string($titulo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($titulo, true), gettype($titulo)), __LINE__);
        }
        $this->Titulo = $titulo;
        return $this;
    }
    /**
     * Get Terminal value
     * @return int|null
     */
    public function getTerminal()
    {
        return $this->Terminal;
    }
    /**
     * Set Terminal value
     * @param int $terminal
     * @return \StructType\NovoMensagemFormatada
     */
    public function setTerminal($terminal = null)
    {
        // validation for constraint: int
        if (!is_null($terminal) && !(is_int($terminal) || ctype_digit($terminal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($terminal, true), gettype($terminal)), __LINE__);
        }
        $this->Terminal = $terminal;
        return $this;
    }
    /**
     * Get idGrupo value
     * @return int|null
     */
    public function getIdGrupo()
    {
        return $this->idGrupo;
    }
    /**
     * Set idGrupo value
     * @param int $idGrupo
     * @return \StructType\NovoMensagemFormatada
     */
    public function setIdGrupo($idGrupo = null)
    {
        // validation for constraint: int
        if (!is_null($idGrupo) && !(is_int($idGrupo) || ctype_digit($idGrupo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idGrupo, true), gettype($idGrupo)), __LINE__);
        }
        $this->idGrupo = $idGrupo;
        return $this;
    }
    /**
     * Get TE value
     * @return int|null
     */
    public function getTE()
    {
        return $this->TE;
    }
    /**
     * Set TE value
     * @param int $tE
     * @return \StructType\NovoMensagemFormatada
     */
    public function setTE($tE = null)
    {
        // validation for constraint: int
        if (!is_null($tE) && !(is_int($tE) || ctype_digit($tE))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tE, true), gettype($tE)), __LINE__);
        }
        $this->TE = $tE;
        return $this;
    }
    /**
     * Get TC value
     * @return int|null
     */
    public function getTC()
    {
        return $this->TC;
    }
    /**
     * Set TC value
     * @param int $tC
     * @return \StructType\NovoMensagemFormatada
     */
    public function setTC($tC = null)
    {
        // validation for constraint: int
        if (!is_null($tC) && !(is_int($tC) || ctype_digit($tC))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tC, true), gettype($tC)), __LINE__);
        }
        $this->TC = $tC;
        return $this;
    }
    /**
     * Get IdFuncProg value
     * @return int|null
     */
    public function getIdFuncProg()
    {
        return $this->IdFuncProg;
    }
    /**
     * Set IdFuncProg value
     * @param int $idFuncProg
     * @return \StructType\NovoMensagemFormatada
     */
    public function setIdFuncProg($idFuncProg = null)
    {
        // validation for constraint: int
        if (!is_null($idFuncProg) && !(is_int($idFuncProg) || ctype_digit($idFuncProg))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idFuncProg, true), gettype($idFuncProg)), __LINE__);
        }
        $this->IdFuncProg = $idFuncProg;
        return $this;
    }
}
