<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SalvarAlertasAlteradosByCliente StructType
 * Meta information extracted from the WSDL
 * - type: tns:SalvarAlertasAlteradosByCliente
 * @subpackage Structs
 */
class SalvarAlertasAlteradosByCliente extends AbstractStructBase
{
    /**
     * The Usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Usuario;
    /**
     * The Senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Senha;
    /**
     * The IdEvento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdEvento;
    /**
     * The Descricao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Descricao;
    /**
     * The Acao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Acao;
    /**
     * Constructor method for SalvarAlertasAlteradosByCliente
     * @uses SalvarAlertasAlteradosByCliente::setUsuario()
     * @uses SalvarAlertasAlteradosByCliente::setSenha()
     * @uses SalvarAlertasAlteradosByCliente::setIdEvento()
     * @uses SalvarAlertasAlteradosByCliente::setDescricao()
     * @uses SalvarAlertasAlteradosByCliente::setAcao()
     * @param string $usuario
     * @param string $senha
     * @param int $idEvento
     * @param string $descricao
     * @param int $acao
     */
    public function __construct($usuario = null, $senha = null, $idEvento = null, $descricao = null, $acao = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdEvento($idEvento)
            ->setDescricao($descricao)
            ->setAcao($acao);
    }
    /**
     * Get Usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->Usuario;
    }
    /**
     * Set Usuario value
     * @param string $usuario
     * @return \StructType\SalvarAlertasAlteradosByCliente
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->Usuario = $usuario;
        return $this;
    }
    /**
     * Get Senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->Senha;
    }
    /**
     * Set Senha value
     * @param string $senha
     * @return \StructType\SalvarAlertasAlteradosByCliente
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->Senha = $senha;
        return $this;
    }
    /**
     * Get IdEvento value
     * @return int|null
     */
    public function getIdEvento()
    {
        return $this->IdEvento;
    }
    /**
     * Set IdEvento value
     * @param int $idEvento
     * @return \StructType\SalvarAlertasAlteradosByCliente
     */
    public function setIdEvento($idEvento = null)
    {
        // validation for constraint: int
        if (!is_null($idEvento) && !(is_int($idEvento) || ctype_digit($idEvento))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idEvento, true), gettype($idEvento)), __LINE__);
        }
        $this->IdEvento = $idEvento;
        return $this;
    }
    /**
     * Get Descricao value
     * @return string|null
     */
    public function getDescricao()
    {
        return $this->Descricao;
    }
    /**
     * Set Descricao value
     * @param string $descricao
     * @return \StructType\SalvarAlertasAlteradosByCliente
     */
    public function setDescricao($descricao = null)
    {
        // validation for constraint: string
        if (!is_null($descricao) && !is_string($descricao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descricao, true), gettype($descricao)), __LINE__);
        }
        $this->Descricao = $descricao;
        return $this;
    }
    /**
     * Get Acao value
     * @return int|null
     */
    public function getAcao()
    {
        return $this->Acao;
    }
    /**
     * Set Acao value
     * @param int $acao
     * @return \StructType\SalvarAlertasAlteradosByCliente
     */
    public function setAcao($acao = null)
    {
        // validation for constraint: int
        if (!is_null($acao) && !(is_int($acao) || ctype_digit($acao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($acao, true), gettype($acao)), __LINE__);
        }
        $this->Acao = $acao;
        return $this;
    }
}
